org.apache.lucene.queries.function.valuesource

## Class MaxFloatFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.MultiFloatFunction
    - - org.apache.lucene.queries.function.valuesource.MaxFloatFunction

-     public class MaxFloatFunction
      extends MultiFloatFunction

  `MaxFloatFunction` returns the max of its components.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queries.function.valuesource.MultiFloatFunction

      `sources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxFloatFunction(ValueSource[] sources)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `exists(int doc, FunctionValues[] valsArr)` True if any of the specified `values` `FunctionValues.exists(int)` for the specified doc, else false.
    `protected float` | `func(int doc, FunctionValues[] valsArr)`
    `protected String` | `name()`

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.MultiFloatFunction

      `createWeight, description, equals, getValues, hashCode`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `asDoubleValuesSource, asLongValuesSource, fromDoubleValuesSource, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MaxFloatFunction

          public MaxFloatFunction(ValueSource[] sources)

  - ### Method Detail

    - #### name

          protected String name()

      Specified by:
        `name` in class `MultiFloatFunction`

    - #### func

          protected float func(int doc,
                               FunctionValues[] valsArr)
                        throws IOException

      Specified by:
        `func` in class `MultiFloatFunction`
      Throws:
        `IOException`

    - #### exists

          protected boolean exists(int doc,
                                   FunctionValues[] valsArr)
                            throws IOException

      True if any of the specified `values` `FunctionValues.exists(int)` for the specified doc, else false.
      Overrides:
        `exists` in class `MultiFloatFunction`
      Throws:
        `IOException`
      See Also:
        `MultiFunction.anyExists(int, org.apache.lucene.queries.function.FunctionValues[])`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.